FFmpeg libavcodec/sanm.c ‘rle_decode’函数缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1169122 漏洞类型 缓冲区溢出
发布时间 2013-02-22 更新时间 2013-11-25
CVE编号 CVE-2013-0863 CNNVD-ID CNNVD-201302-336
漏洞平台 N/A CVSS评分 9.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201302-336
|漏洞详情
FFmpeg是FFmpeg团队的一套可录制、转换以及流化音视频的完整解决方案。FFmpeg1.0.4之前的版本和1.1.2之前的1.1.x版本中的libavcodec/sanm.c文件中的‘rle_decode’函数中存在缓冲区溢出漏洞。远程攻击者可借助特制的LucasArtsSmush视频数据利用该漏洞造成拒绝服务(应用程序崩溃)或执行任意代码。
|参考资料

来源:www.ffmpeg.org
链接:http://www.ffmpeg.org/security.html
来源:git.videolan.org
链接:http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=89e16e675d3cbe76cf4581f98bf4ac300cab0286
来源:git.videolan.org
链接:http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=62c9beda0c189db5cb61fa772057e3af9521f293
来源:SECUNIA
名称:52093
链接:http://secunia.com/advisories/52093
来源:BID
名称:57868
链接:http://www.securityfocus.com/bid/57868
来源:NSFOCUS
名称:22790
链接:http://www.nsfocus.net/vulndb/22790